<script setup>
import { toast } from 'vue3-toastify';
import 'vue3-toastify/dist/index.css';

toast.info("ยินดีต้อนรับ วิทยาลัยเทคนิคตราด", {
  autoClose: 1500,
  position:toast.POSITION.TOP_CENTER
})

const notify = () => {
  toast.success("Meowww!", {
    autoClose: 2000,
  }); // ToastOptions
  return { notify };
}


</script>

<template>
  <div>{{ catTitle }}</div>
  <div class="container my-5">
    <div class="row">
      <!--Cat 1-->
      <div class="col-md-4">
        <div class="card shadow">
          <div class="card-header p-0">
            <img src="https://image.petmd.com/files/styles/978x550/public/2023-04/siamese-cat.jpg?w=1080&q=75" alt="" class="card-img-top over-card">
          </div>
          <div class="card-body over-size">
            <h5 class="card-title">Siamese</h5>
            <h6 class="card-title">Origin: "Thailand"</h6>
            <hr>
            <p class="card-text flex-grow-1">
              The Siamese cat is a striking and elegant breed known for its sleek, 
              slender body, almond-shaped blue eyes, and distinctive color points. 
              With a short, fine coat that lies close to the body, the Siamese cat showcases a luxurious color pattern, 
              characterized by darker fur on the ears, face, paws, and tail, while the body is lighter in hue. 
              This coloration is a result of temperature-sensitive pigmentation, 
              where cooler parts of the body exhibit darker shades.
            </p>
            <a href="https://www.purina.co.uk/find-a-pet/cat-breeds/siamese" class="btn btn-primary btn-sm" @click="notify" target="_blank">Meow!!!</a>
          </div>
        </div>
      </div>
      <!--Cat 2-->
      <div class="col-md-4">
        <div class="card shadow">
          <div class="card-header p-0">
            <img src="https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcSznLj51Pj71zYsABPbgenNxyodPcwYlE_uUORr8t7IuH4dJlx2" class="card-img-top over-card">
          </div>
          <div class="card-body over-size">
            <h5 class="card-title">British Shorthair</h5>
            <h6 class="card-title">Origin: Great Britain</h6>
            <hr>
            <p class="card-text flex-grow-1">
              The British Shorthair cat is a charming and iconic breed renowned for its round face, large, 
              expressive eyes, and plush, dense coat. With a robust and well-muscled body, 
              these cats exude an air of dignified elegance. 
              Their distinctive rounded features contribute to a sweet and endearing expression that captures the hearts of cat lovers worldwide.
            </p>
            <a href="https://www.purina.co.th/find-a-pet/cat-breeds/british-shorthair" class="btn btn-primary btn-sm" @click="notify" target="_blank">Meow!!!</a>
          </div>
        </div>
      </div>
      <!--Cat 3-->  
      <div class="col-md-4">
        <div class="card shadow">
          <div class="card-header p-0">
            <img src="https://t1.gstatic.com/licensed-image?q=tbn:ANd9GcTfNZwBvBCyEnfnW-_jPJzO1wIEeKrjFCIe8ECHVAxddzxeEu-H78P-brM0r0wWd9vF" alt="" class="card-img-top over-card">
          </div>
          <div class="card-body over-size">
            <h5 class="card-title">Maine Coon</h5>
            <h6 class="card-title">Origin: "Maine, United States"</h6>
            <hr>
            <p class="card-text flex-grow-1">
              The Maine Coon cat is an impressive and majestic breed, known for its large size, 
              tufted ears, bushy tail, and tufted paws. 
              Considered one of the largest domestic cat breeds, 
              the Maine Coon boasts a muscular and sturdy build, 
              with a semi-longhaired coat that provides insulation against cold weather.
            </p>
            <a href="https://www.purina.co.th/find-a-pet/cat-breeds/maine-coon" class="btn btn-primary btn-sm" @click="notify" target="_blank">Meow!!!</a>
          </div>
        </div>
      </div>          
    </div>
  </div>
  <div class="container my-5">
    <div class="row">
      <!--Cat 4-->
      <div class="col-md-4">
        <div class="card shadow">
          <div class="card-header p-0">
            <img src="https://cats.com/wp-content/uploads/2020/10/Ragdoll-Cat-compressed.jpg" alt="" class="card-img-top over-card">
          </div>
          <div class="card-body over-size">
            <h5 class="card-title">Ragdoll</h5>
            <h6 class="card-title">Origin: "Riverside"</h6>
            <hr>
            <p class="card-text flex-grow-1">
              The Ragdoll cat is a captivating and gentle breed known for its striking blue eyes, 
              silky semi-longhair coat, and a distinctive tendency to go limp when picked up, 
              giving rise to its name. This large and beautiful cat exudes an air of elegance and calmness,
              making it a sought-after companion for those seeking a tranquil feline friend.
            </p>
            <a href="https://www.purina.co.th/find-a-pet/cat-breeds/ragdoll" class="btn btn-primary btn-sm" @click="notify" target="_blank">Meow!!!</a>
          </div>
        </div>
      </div>
      <!--Cat 5-->
      <div class="col-md-4">
        <div class="card shadow">
          <div class="card-header p-0">
            <img src="https://cdn.britannica.com/44/186844-050-091E4372/Scottish-fold-cat.jpg" alt="" class="card-img-top over-card">
          </div>
          <div class="card-body over-size">
            <h5 class="card-title">Scottish Fold</h5>
            <h6 class="card-title">Origin: "Scotland"</h6>
            <hr>
            <p class="card-text flex-grow-1">
              The Siamese cat is a striking and elegant breed known for its sleek, 
              slender body, almond-shaped blue eyes, and distinctive color points. 
              With a short, fine coat that lies close to the body, the Siamese cat showcases a luxurious color pattern, 
              characterized by darker fur on the ears, face, paws, and tail, while the body is lighter in hue. 
              This coloration is a result of temperature-sensitive pigmentation, 
              where cooler parts of the body exhibit darker shades.
            </p>
            <a href="https://www.purina.co.th/find-a-pet/cat-breeds/scottish-fold" class="btn btn-primary btn-sm" @click="notify" target="_blank">Meow!!!</a>
          </div>
        </div>
      </div>
      <!--Cat 6-->
      <div class="col-md-4">
        <div class="card shadow">
          <div class="card-header p-0">
            <img src="https://petinsurance.com.au/wp-content/uploads/2016/07/Abyssinian_961x558-1.jpg" alt="" class="card-img-top over-card">
          </div>
          <div class="card-body over-size">
            <h5 class="card-title">abyssinian</h5>
            <h6 class="card-title">Origin: "Ethiopia"</h6>
            <hr>
            <p class="card-text flex-grow-1">
              The Abyssinian cat is a captivating and agile breed known for its striking appearance, 
              expressive almond-shaped eyes, and a coat adorned with a ticked or agouti pattern. 
              This sleek and muscular cat exudes an air of elegance and playfulness, 
              captivating the hearts of cat enthusiasts with its unique charm.
            </p>
            <a href="https://www.purina.co.uk/find-a-pet/cat-breeds/abyssinian" class="btn btn-primary btn-sm" @click="notify" target="_blank">Meow!!!</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<style>
@import url('https://fonts.googleapis.com/css2?family=Single+Day&display=swap');
h6,h5,p{
  font-family: 'Single Day', cursive;
}
a{
  font-family: 'Single Day', cursive;
}
.card-body {
  display: flex;
  flex-direction: column;
}
.scroll-bar{
  height: 120px;
  width: 100%;
  overflow: auto;
}
.over-card{
  height: 235px;
}
.over-size{
  height: 361px;
}
</style>